hub:
  # output of first execution of 'openssl rand -hex 32'
  cookieSecret: "xxx"
  extraConfig: |
     c.Spawner.notebook_dir = '/home/dbvis'
     c.Spawner.extra_resource_limits: {'nvidia.com/gpu': '0'}
     c.Spawner.extra_resource_guarantees: {'nvidia.com/gpu': '0'}
     c.Spawner.args = ['--device=/dev/nvidiactl', '--device=/dev/nvidia-uvm', '--device=/dev/nvidia-uvm-tools' ]
  # our gitlab server
  extraEnv:
    GITLAB_HOST: 'https://server.gitlab.com/'
proxy:
  # output of second execution of 'openssl rand -hex 32'
  secretToken: "xxx"
  service:
    type: NodePort
singleuser:
  image:
    name: benne4444/dbvis-singleuser
    tag: test3
  nvidia.com/gpu:
    limit: 1
    guarantee: 1
  storage:
    capacity: 20Gi
    dynamic:
      storageClass: rook-ceph-block
      storageAccessModes: ['ReadWriteOnce']
    type: dynamic
    extraVolumes:
        - name: home
          hostPath:
            path: /home/{username}
    extraVolumeMounts:
        - name: home
          mountPath: /home/dbvis/data
    lifecycleHooks:
      postStart:
        exec:
          command: ["chown", "-R", "dbvis:dbvis", "/home/dbvis/data"]
auth:
  type: gitlab
  gitlab:
    callbackUrl: "https://server.gitlab.de/hub/oauth_callback"
    clientId: "xxx"
    clientSecret: "xxx"
  whitelist:
    users:
      - user
  admin:
    users:
      - user


